> ## Documentation Index
> Fetch the complete documentation index at: https://docs.novacal.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Booking Form Field Order

> Reorder booking form fields for a Novacal event type by updating field positions in a single API request with ordered IDs.



## OpenAPI

````yaml PUT /v1/event-types/{eventType}/booking-forms/update-order
openapi: 3.1.0
info:
  title: Events API
  description: Public API for managing event types
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.novacal.io
security:
  - bearerAuth: []
paths:
  /v1/event-types/{eventType}/booking-forms/update-order:
    put:
      description: Updates booking form field positions for an event type
      parameters:
        - name: eventType
          in: path
          description: ID of event type
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        description: Ordered booking form field positions
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateBookingFormFieldOrder'
        required: true
      responses:
        '200':
          description: Booking form field order updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BookingFormFieldsResponse'
components:
  schemas:
    UpdateBookingFormFieldOrder:
      type: object
      required:
        - fields
      properties:
        fields:
          type: array
          items:
            type: object
            required:
              - id
              - position
            properties:
              id:
                description: Booking form field ID
                type: integer
                format: int64
              position:
                description: New display order for the field
                type: integer
                minimum: 0
    BookingFormFieldsResponse:
      type: object
      required:
        - success
        - data
      properties:
        success:
          description: Indicates whether the request was successful
          type: boolean
          example: true
        data:
          type: array
          items:
            $ref: '#/components/schemas/BookingFormField'
    BookingFormField:
      type: object
      properties:
        id:
          description: The unique identifier of the booking form field
          type: integer
          format: int64
        identifier:
          description: Unique identifier for the form field within the event type
          type: string
          maxLength: 255
        label:
          description: Display label for the form field
          type: string
          maxLength: 255
        type:
          description: The type of form field
          type: string
          enum:
            - text
            - textarea
            - select
            - checkbox
            - radio
            - phone
            - email
            - multiple_emails
        placeholder:
          description: Placeholder text for the form field
          type:
            - string
            - 'null'
          maxLength: 255
        is_required:
          description: Whether the form field is required
          type: boolean
        is_active:
          description: Whether the form field is active
          type: boolean
        position:
          description: Display order of the form field
          type: integer
          minimum: 0
        options:
          description: Selectable options for select, checkbox, or radio fields
          type: array
          items:
            type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````